# Uses of Class
org.apache.solr.common.EnumFieldValue

Packages that use EnumFieldValue
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of EnumFieldValue in org.apache.solr.common

Methods in org.apache.solr.common with parameters of type EnumFieldValue
Modifier and Type
Method
Description
`int`
EnumFieldValue.`compareTo(EnumFieldValue o)`

## Uses of EnumFieldValue in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return EnumFieldValue
Modifier and Type
Method
Description
`EnumFieldValue`
JavaBinCodec.`readEnumFieldValue(DataInputInputStream dis)`
read `EnumFieldValue` (int+string) from input stream
Methods in org.apache.solr.common.util with parameters of type EnumFieldValue
Modifier and Type
Method
Description
`void`
JavaBinCodec.`writeEnumFieldValue(EnumFieldValue enumFieldValue)`
write `EnumFieldValue` as tag+int value+string value